UbixOS V2 2.0

Data Fields
fatfs Struct Reference

`#include <fat_access.h>`

Collaboration diagram for fatfs:

## Data Fields
uint32 | cluster_begin_lba
struct fat_buffer | currentsector
struct disk_if | disk_io
uint32 | fat_begin_lba
struct fat_buffer * | fat_buffer_head
struct fat_buffer | fat_buffers [1]
uint32 | fat_sectors
tFatType | fat_type
void(* | fl_lock )(void)
void(* | fl_unlock )(void)
uint16 | fs_info_sector
uint32 | lba_begin
uint32 | next_free_cluster
uint8 | num_of_fats
uint16 | reserved_sectors
uint16 | root_entry_count
uint32 | rootdir_first_cluster
uint32 | rootdir_first_sector
uint32 | rootdir_sectors
uint8 | sectors_per_cluster

## Detailed Description

Definition at line 57 of file fat_access.h.

## Field Documentation

## ◆ cluster_begin_lba

uint32 fatfs::cluster_begin_lba

Definition at line 61 of file fat_access.h.

## ◆ currentsector

struct fat_buffer fatfs::currentsector

Definition at line 83 of file fat_access.h.

## ◆ disk_io

struct disk_if fatfs::disk_io

Definition at line 76 of file fat_access.h.

## ◆ fat_begin_lba

uint32 fatfs::fat_begin_lba

Definition at line 65 of file fat_access.h.

## ◆ fat_buffer_head

struct fat_buffer* fatfs::fat_buffer_head

Definition at line 86 of file fat_access.h.

## ◆ fat_buffers

struct fat_buffer fatfs::fat_buffers[1]

Definition at line 87 of file fat_access.h.

## ◆ fat_sectors

uint32 fatfs::fat_sectors

Definition at line 68 of file fat_access.h.

## ◆ fat_type

tFatType fatfs::fat_type

Definition at line 73 of file fat_access.h.

## ◆ fl_lock

void(* fatfs::fl_lock) (void)

Definition at line 79 of file fat_access.h.

## ◆ fl_unlock

void(* fatfs::fl_unlock) (void)

Definition at line 80 of file fat_access.h.

## ◆ fs_info_sector

uint16 fatfs::fs_info_sector

Definition at line 66 of file fat_access.h.

## ◆ lba_begin

uint32 fatfs::lba_begin

Definition at line 67 of file fat_access.h.

## ◆ next_free_cluster

uint32 fatfs::next_free_cluster

Definition at line 69 of file fat_access.h.

## ◆ num_of_fats

uint8 fatfs::num_of_fats

Definition at line 72 of file fat_access.h.

## ◆ reserved_sectors

uint16 fatfs::reserved_sectors

Definition at line 71 of file fat_access.h.

## ◆ root_entry_count

uint16 fatfs::root_entry_count

Definition at line 70 of file fat_access.h.

## ◆ rootdir_first_cluster

uint32 fatfs::rootdir_first_cluster

Definition at line 62 of file fat_access.h.

## ◆ rootdir_first_sector

uint32 fatfs::rootdir_first_sector

Definition at line 63 of file fat_access.h.

## ◆ rootdir_sectors

uint32 fatfs::rootdir_sectors

Definition at line 64 of file fat_access.h.

## ◆ sectors_per_cluster

uint8 fatfs::sectors_per_cluster

Definition at line 60 of file fat_access.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/fs/fat/fat_access.h